
Core - Task # 56625

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 56431 (Resolved): Use new wizard registration and remove wizard entry points

Status: Resolved Priority: Should have
Author: Wouter Wolters Category:
Created: 2014-03-06 Assigned To:
Updated: 2014-03-07 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove old backend_layout wizard
Description

Remove old backend_layout wizard

Associated revisions
Revision a783822f - 2014-03-06 23:19 - Wouter Wolters

[!!!][SECURITY] Remove old backend_layout wizard

Keeping the old wizard script would not solve
the CSRF attack vector as they could still
be referenced in this kind of attack.

Because of that, we remove it now.

This change provides a backwards compatibility layer.

It will however break code which link to the
old scripts directly in other places.

Resolves: #56625
Releases: 6.2
Change-Id: I07577dca0e16cf095e114799ace4a6e344ad5aa3
Reviewed-on: https://review.typo3.org/28121
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-03-06 21:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28121
#2 - 2014-03-06 23:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a783822fd3fb99f593c78a3a0d6a7267ba3b36b5.

#3 - 2014-03-07 01:19 - Helmut Hummel
- Parent task set to #56431
